# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		semantic_version
Summary:	A library implementing the 'SemVer' scheme
Summary(pl.UTF-8):	Biblioteka implementująca schemat "SemVer"
Name:		python-%{module}
Version:	2.10.0
Release:	5
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/semantic-version/
Source0:	https://files.pythonhosted.org/packages/source/s/semantic-version/%{module}-%{version}.tar.gz
# Source0-md5:	e48abef93ba69abcd4eaf4640edfc38b
URL:		https://pypi.org/project/semantic-version/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This small Python library provides a few tools to handle SemVer in
Python. It follows strictly the 2.0.0 version of the SemVer scheme.

%description -l pl.UTF-8
Ta mała biblioteka Pythona dostarcza kilka narzędzi do obsługi SemVer
w Pythonie. Jest ściśle zgodna z wersją 2.0.0 schematu SemVer.

%package -n python3-%{module}
Summary:	A library implementing the 'SemVer' scheme
Summary(pl.UTF-8):	Biblioteka implementująca schemat "SemVer"
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
This small Python library provides a few tools to handle SemVer in
Python. It follows strictly the 2.0.0 version of the SemVer scheme.

%description -n python3-%{module} -l pl.UTF-8
Ta mała biblioteka Pythona dostarcza kilka narzędzi do obsługi SemVer
w Pythonie. Jest ściśle zgodna z wersją 2.0.0 schematu SemVer.

%package apidocs
Summary:	API documentation for Python semantic_version module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona semantic_version
Group:		Documentation

%description apidocs
API documentation for Python semantic_version module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona semantic_version.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CREDITS ChangeLog LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sat Mar 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-semantic_version.git;a=log;h=master

* Sat Mar 15 2025 Jan Rękorajski <baggins@pld-linux.org> ca5cc41
- rel 5, run tests directly and drop nose support

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ebdb876
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 04b5117
- python 3.13 rebuild

* Sun Sep 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 680e70b
- made peace with django when running tests; release 2

* Sun Sep 04 2022 Jakub Bogusz <qboosh@pld-linux.org> ca2c79d
- updated to 2.10.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> db33183
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> b2e7d55
- rebuild with python 3.10

* Tue Mar 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 9e83c84
- doc dependencies (using python3)

* Tue Mar 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 6054ec1
- updated to 2.9.0, added tests and apidocs

* Sat Oct 09 2021 Jan Palus <atler@pld-linux.org> ef549ff
- new

